Package com.smartgwt.logicalstructure.widgets

# Class RibbonButtonLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure
com.smartgwt.logicalstructure.widgets.RibbonButtonLogicalStructure

Direct Known Subclasses:
  `IconButtonLogicalStructure`, `RibbonMenuButtonLogicalStructure`

public class RibbonButtonLogicalStructure extends ButtonLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `align`
  `String`
  `baseStyle`
  `String`
  `editProxyConstructor`
  `String`
  `icon`
  `String`
  `iconAlign`
  `String`
  `iconOrientation`
  `String`
  `iconStyle`
  `String`
  `largeIcon`
  `String`
  `largeIconSize`
  `Menu`
  `menu`
  `String`
  `menuAlign`
  `String`
  `menuAnimationEffect`
  `String`
  `menuIconHeight`
  `String`
  `menuIconSrc`
  `String`
  `menuIconStyle`
  `String`
  `menuIconWidth`
  `String`
  `orientation`
  `String`
  `rowSpan`
  `String`
  `showButtonTitle`
  `String`
  `showIcon`
  `String`
  `showMenuBelow`
  `String`
  `showMenuIcon`
  `String`
  `showMenuIconDisabled`
  `String`
  `showMenuIconDown`
  `String`
  `showMenuIconOver`
  `String`
  `showMenuOnClick`
  `String`
  `showTitle`
  `String`
  `valign`
  `String`
  `vertical`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure

  `actionType, adaptWidthShowIconOnly, autoFit, canAdaptWidth, definingProperty, disabledIconCursor, heightAsString, hiliteAccessKey, iconCursor, iconHeight, iconOnlyBaseStyle, iconSize, iconSpacing, iconWidth, overflow, radioGroup, showClippedTitleOnHover, showDisabled, showDisabledIcon, showDown, showDownIcon, showFocused, showFocusedIcon, showRollOver, showRollOverIcon, showSelectedIcon, state, styleName, title, useSpan, widthAsString, wrap`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `ariaLabel, ignoreRTL, labelHPad, labelVPad, overCanvasConstructor, redrawOnStateChange, selected, showFocusedAsOver, showOverCanvas, showRTLIcon, vIconStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RibbonButtonLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### align

    public String align

  - ### baseStyle

    public String baseStyle

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### icon

    public String icon

  - ### iconAlign

    public String iconAlign

  - ### iconOrientation

    public String iconOrientation

  - ### iconStyle

    public String iconStyle

  - ### largeIcon

    public String largeIcon

  - ### largeIconSize

    public String largeIconSize

  - ### menu

    public Menu menu

  - ### menuAlign

    public String menuAlign

  - ### menuAnimationEffect

    public String menuAnimationEffect

  - ### menuIconHeight

    public String menuIconHeight

  - ### menuIconSrc

    public String menuIconSrc

  - ### menuIconStyle

    public String menuIconStyle

  - ### menuIconWidth

    public String menuIconWidth

  - ### orientation

    public String orientation

  - ### rowSpan

    public String rowSpan

  - ### showButtonTitle

    public String showButtonTitle

  - ### showIcon

    public String showIcon

  - ### showMenuBelow

    public String showMenuBelow

  - ### showMenuIcon

    public String showMenuIcon

  - ### showMenuIconDisabled

    public String showMenuIconDisabled

  - ### showMenuIconDown

    public String showMenuIconDown

  - ### showMenuIconOver

    public String showMenuIconOver

  - ### showMenuOnClick

    public String showMenuOnClick

  - ### showTitle

    public String showTitle

  - ### valign

    public String valign

  - ### vertical

    public String vertical

- ## Constructor Details

  - ### RibbonButtonLogicalStructure

    public RibbonButtonLogicalStructure()